Bug 26844 - Log viewer does not indicate which logs are enabled
Summary: Log viewer does not indicate which logs are enabled
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-28 12:33 UTC by Nick Clemens
Modified: 2020-11-04 12:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26844: Add warning to disabled logs on log viewer (3.53 KB, patch)
2020-10-28 12:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26844: Add warning to disabled logs on log viewer (3.67 KB, patch)
2020-10-30 11:24 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 26844: Add warning to disabled logs on log viewer (3.72 KB, patch)
2020-10-30 14:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-10-28 12:33:49 UTC
It would be nice on the log viewer page if there was feedback about which logs are currently enabled
Comment 1 Nick Clemens 2020-10-28 12:36:57 UTC
Created attachment 112636 [details] [review]
Bug 26844: Add warning to disabled logs on log viewer

To test:
1 - Go to Admin->System preferences->Logs tab
2 - Make sure some logs are disabled
3 - Go to Tools->Log viewer
4 - Note you can select logs that are disabled
5 - Apply patch
6 - Reload page
7 - Note disabled logs have a warning icon and hover text
Comment 2 Séverine Queune 2020-10-30 11:24:54 UTC
Created attachment 112689 [details] [review]
Bug 26844: Add warning to disabled logs on log viewer

To test:
1 - Go to Admin->System preferences->Logs tab
2 - Make sure some logs are disabled
3 - Go to Tools->Log viewer
4 - Note you can select logs that are disabled
5 - Apply patch
6 - Reload page
7 - Note disabled logs have a warning icon and hover text

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Tomás Cohen Arazi 2020-10-30 14:42:44 UTC
I love this. And can be hidden through CSS if someone finds it inconvenient.
Comment 4 Tomás Cohen Arazi 2020-10-30 14:43:21 UTC
Created attachment 112711 [details] [review]
Bug 26844: Add warning to disabled logs on log viewer

To test:
1 - Go to Admin->System preferences->Logs tab
2 - Make sure some logs are disabled
3 - Go to Tools->Log viewer
4 - Note you can select logs that are disabled
5 - Apply patch
6 - Reload page
7 - Note disabled logs have a warning icon and hover text

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Jonathan Druart 2020-11-04 12:04:41 UTC
Pushed to master for 20.11, thanks to everybody involved!